.nill-headline-logos .headline {
    grid-area: 1/2/span 1/span 12;
}

.nill-headline-logos .headline .icon-headline {
    height: 1.5em;
    width: auto;
    flex-shrink: 0;
}

.nill-headline-logos .marquee-container {
    --gap: var(--m-xl);
    --duration: 40s;
    --scroll-start: 0;
    --scroll-end: calc(-100% - var(--gap));
    grid-area: 2/1/span 1/span 14;
    display: flex;
    overflow: hidden;
    user-select: none;
    gap: var(--gap);
    width: 100%;
    overflow: hidden;
}

.nill-headline-logos .marquee-container .marquee-group {
    flex-shrink: 0;
    display: flex;
    align-items: center;
    gap: var(--gap);
    width: max-content;
    animation: scroll-x var(--duration) linear infinite;
}

.nill-headline-logos .marquee-container .icon-container {
    flex: 0 0 auto;
    display: grid;
    place-items: center;
    user-select: none;
    -webkit-user-drag: none;
    pointer-events: none;
}

@keyframes scroll-x {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(calc(-100% - var(--gap)));
    }
}

@media (max-width: 767.98px) {    
    .nill-headline-logos .marquee-container {
        --duration: 30s;
    }
}